Ubuntu 18.04 LTS : Linux kernel (HWE) vulnerabilities (USN-5071-2)

high Nessus Plugin ID 153445
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Ubuntu host is missing one or more security updates.

Description

The remote Ubuntu 18.04 LTS host has packages installed that are affected by multiple vulnerabilities as referenced in the USN-5071-2 advisory.

- An out-of-bounds memory write flaw was found in the Linux kernel's joystick devices subsystem in versions before 5.9-rc1, in the way the user calls ioctl JSIOCSBTNMAP. This flaw allows a local user to crash the system or possibly escalate their privileges on the system. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability. (CVE-2021-3612)

- An issue was discovered in the Linux kernel before 5.9. arch/x86/kvm/svm/sev.c allows attackers to cause a denial of service (soft lockup) by triggering destruction of a large SEV VM (which requires unregistering many encrypted regions), aka CID-7be74942f184. (CVE-2020-36311)

- A flaw was found in the KVM's AMD code for supporting SVM nested virtualization. The flaw occurs when processing the VMCB (virtual machine control block) provided by the L1 guest to spawn/handle a nested guest (L2). Due to improper validation of the int_ctl field, this issue could allow a malicious L1 to enable AVIC support (Advanced Virtual Interrupt Controller) for the L2 guest. As a result, the L2 guest would be allowed to read/write physical pages of the host, resulting in a crash of the entire system, leak of sensitive data or potential guest-to-host escape. This flaw affects Linux kernel versions prior to 5.14-rc7. (CVE-2021-3653)

- An issue was discovered in Linux: KVM through Improper handling of VM_IO|VM_PFNMAP vmas in KVM can bypass RO checks and can lead to pages being freed while still accessible by the VMM and guest. This allows users with the ability to start and control a VM to read/write random pages of memory and can result in local privilege escalation. (CVE-2021-22543)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://ubuntu.com/security/notices/USN-5071-2

Plugin Details

Severity: High

ID: 153445

File Name: ubuntu_USN-5071-2.nasl

Version: 1.5

Type: local

Agent: unix

Published: 9/16/2021

Updated: 10/12/2021

Dependencies: ssh_get_info.nasl, linux_alt_patch_detect.nasl

Risk Information

CVSS Score Source: CVE-2021-3612

VPR

Risk Factor: High

Score: 7.3

CVSS v2

Risk Factor: High

Base Score: 7.2

Temporal Score: 5.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:canonical:ubuntu_linux:18.04:-:lts:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-oem:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-generic-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-generic-lpae-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-lowlatency-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-snapdragon-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-virtual-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-oem-osp1:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-generic-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-generic-lpae-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-lowlatency-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-virtual-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-snapdragon-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-generic-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-generic-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-lowlatency-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-lowlatency-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-virtual-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-virtual-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-generic-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-generic-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-generic-lpae-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-generic-lpae-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-generic-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-generic-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-generic-lpae-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-generic-lpae-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-lowlatency-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-lowlatency-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-oem:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-oem-osp1:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-snapdragon-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-snapdragon-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-virtual-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-virtual-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-hwe-5.4-cloud-tools-common:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-hwe-5.4-source-5.4.0:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-hwe-5.4-tools-common:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-extra-virtual-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-extra-virtual-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-lowlatency-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-lowlatency-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-modules-extra-virtual-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-modules-extra-virtual-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-oem:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-oem-osp1:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-snapdragon-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-snapdragon-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-generic-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-generic-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-generic-lpae-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-generic-lpae-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-lowlatency-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-lowlatency-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-oem:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-oem-osp1:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-snapdragon-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-snapdragon-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-virtual-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-virtual-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-virtual-hwe-18.04:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-virtual-hwe-18.04-edge:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-buildinfo-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-buildinfo-5.4.0-84-generic-lpae:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-buildinfo-5.4.0-84-lowlatency:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-cloud-tools-5.4.0-84-lowlatency:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-5.4.0-84-generic-lpae:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-headers-5.4.0-84-lowlatency:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-5.4.0-84-generic-lpae:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-5.4.0-84-lowlatency:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-unsigned-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-image-unsigned-5.4.0-84-lowlatency:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-modules-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-modules-5.4.0-84-generic-lpae:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-modules-5.4.0-84-lowlatency:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-modules-extra-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-5.4.0-84-generic:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-5.4.0-84-generic-lpae:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-tools-5.4.0-84-lowlatency:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-hwe-5.4-cloud-tools-5.4.0-84:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-hwe-5.4-headers-5.4.0-84:*:*:*:*:*:*:*, p-cpe:2.3:a:canonical:ubuntu_linux:linux-hwe-5.4-tools-5.4.0-84:*:*:*:*:*:*:*

Required KB Items: Host/cpu, Host/Debian/dpkg-l, Host/Ubuntu, Host/Ubuntu/release

Exploit Ease: No known exploits are available

Patch Publication Date: 9/16/2021

Vulnerability Publication Date: 4/7/2021

Reference Information

CVE: CVE-2020-36311, CVE-2021-22543, CVE-2021-3612, CVE-2021-3656, CVE-2021-3653

USN: 5071-2